Skip to navigation

Bulk upsert DNA sequences

All entities and their schemas must be within the same registry.

This operation performs the following actions:

  1. Any existing objects are looked up in Benchling by the provided entity registry ID.
  2. Then, all objects are either created or updated accordingly, temporarily skipping any schema field links between objects.
  3. Schema field links can be populated using entity registry IDs or API IDs. In the value field of the Field resource, the object {"entityRegistryId": ENTITY_REGISTRY_ID} may be provided instead of the API ID if desired (see example value). You may link to objects being created in the same operation.
  4. Entities are registered, using the provided name and entity registry ID.

If any action fails, the whole operation is canceled and no objects are created or updated.

Limit of 1000 DNA Sequences per request.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Request

This endpoint expects an object.
dnaSequenceslist of objectsRequired

Response

This endpoint launches a long-running task and returns the Task ID of the launched task. When successful, the task returns the resources of the objects that were upserted.

taskIdstringOptional

Errors

400
Bad Request Error